Skip to main content
GET
/
budgets
/
{budgetId}
Retrieve budget details
curl --request GET \
  --url https://api.equalsmoney.com/v2/budgets/{budgetId} \
  --header 'Authorization: <api-key>'
{
  "id": "775596ae-2624-40af-a9dc-9756110a4a03",
  "boxId": "a43231c221",
  "name": "Team Party",
  "accountId": "F50091",
  "parentId": "775596ae-2624-40af-a9dc-9756110a4a03",
  "feature": [
    {
      "id": "string",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "payments": true,
      "budgetCards": true,
      "peopleCards": true,
      "forwardDeposits": true,
      "lowBalanceThreshold": 0,
      "lowBalanceCurrencyCode": "AED",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "currency": [
    {
      "id": "string",
      "boxCurrencyId": 0,
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "currencyCode": "USD",
      "local": "unique",
      "international": "unique",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "balance": [
    {
      "id": "string",
      "currencyCode": "USD",
      "availableBalance": 10,
      "lastUpdatedSequentialId": 0,
      "currency": "USD",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "ledgerBalance": 50,
      "pendingBalance": 40,
      "allocatedBalance": 10,
      "ledgerAndAllocatedBalance": 60,
      "activeCurrencyOnBudget": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalBalance": [
    {
      "id": "string",
      "currencyCode": "USD",
      "availableBalance": 10,
      "lastUpdatedSequentialId": 0,
      "currency": "USD",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "ledgerBalance": 50,
      "pendingBalance": 40,
      "allocatedBalance": 10,
      "ledgerAndAllocatedBalance": 60,
      "activeCurrencyOnBudget": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "children": [
    {
      "id": "string",
      "currencyCode": "USD",
      "availableBalance": 10,
      "lastUpdatedSequentialId": 0,
      "currency": "USD",
      "BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "ledgerBalance": 50,
      "pendingBalance": 40,
      "allocatedBalance": 10,
      "ledgerAndAllocatedBalance": 60,
      "activeCurrencyOnBudget": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "details": [
    {
      "currency": "USD",
      "sortCode": "12-34-56",
      "accountNumber": "12345678",
      "ibans": [
        {
          "iban": "GB26SPPV23188497371875",
          "bic": "BARCGB22"
        }
      ],
      "accountName": "Equals Money",
      "bankName": "SPECTRUM PAYMENT SERVICES",
      "bankAddress": "Vintners Place, 68 Upper Thames St, London, EC4V 3BJ, United Kingdom",
      "balanceReference": "Balance reference"
    }
  ],
  "settlementDetails": {
    "currencyDetails": [
      {
        "currencyCode": "USD",
        "local": {
          "accountIdentifier": "31510604",
          "bankIdentifier": "10-00-00",
          "payeeName": "ACME",
          "bankName": "Brilliant Bank",
          "bankAddress": {
            "addressLine1": "41 Middle Street",
            "addressLine2": "string",
            "addressLine3": "string",
            "city": "Enfield",
            "postcode": "EN1 3JY",
            "country": "United Kingdom"
          }
        },
        "international": {
          "accountIdentifier": "31510604",
          "bankIdentifier": "10-00-00",
          "payeeName": "ACME",
          "bankName": "Brilliant Bank",
          "bankAddress": {
            "addressLine1": "41 Middle Street",
            "addressLine2": "string",
            "addressLine3": "string",
            "city": "Enfield",
            "postcode": "EN1 3JY",
            "country": "United Kingdom"
          }
        }
      }
    ],
    "balanceReference": "Balance reference"
  },
  "individualBudgetHolder": {
    "id": "b489ea2c-0dd1-4fb1-b345-de5a596a5527",
    "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
    "personaId": "775596ae-2624-40af-a9dc-9756110a4a04",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "priority": 1,
  "level": 1,
  "type": "accountBalance",
  "status": "active",
  "allowCurrencyAlignment": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

budgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

include
enum<string>

Fields to include in the response

Available options:
children,
balance,
details,
detailsActive,
budgetHierarchy,
settlementDetails
Example:

"children,balance"

currencyCode
string

The currency code, in ISO-4217 format.

Example:

"USD"

Response

200 - application/json

OK

id
string<uuid> | null
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

name
string
required

The name of the budget.

Maximum string length: 256
Example:

"Team Party"

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

boxId
string | null

The ID of the box to work with.

Example:

"a43231c221"

parentId
string<uuid> | null

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

feature
object[]
currency
object[]
balance
object[] | null
totalBalance
object[] | null
children
object[] | null
details
object[]
settlementDetails
object

The settlement details.

individualBudgetHolder
object
priority
number

Defines the priority of a budget, where 1 is the highest priority.

Example:

1

level
number

Defines the hierarchy level of a budget, where 0 is the highest level (accountBalance).

Example:

1

type
enum<string>

The budget type.

Available options:
accountBalance,
forwardDeposits,
shared,
individual
status
enum<string>
Available options:
active,
archived,
hidden
allowCurrencyAlignment
boolean

Whether or not to enable currency alignment on a budget. Currency alignment allows a cardholder to pay in a currency that is different from the budget's currency, with Equals Money doing the conversion.

createdAt
string<date-time>

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>

The date the Resource was last modified. ISO 8601 format without milliseconds.